Issue 2375

Title
reactivate payment wizard on invoice when account_statement is installed
Priority
feature
Status
resolved
Nosy list
ced, hobbes, jan
Assigned to
hobbes
Keywords

Created on 2012-01-03.23:00:40 by hobbes, last changed 105 months ago by ced.

Messages

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2012-03-02.14:47:17
Fixed with changeset f70facf6338e
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2012-02-24.11:14:36
Could you submit the patch?
Author: [hidden] (jan)
Date: 2012-01-26.15:04:37
I don't understand the internals, but I missed as well the possibility to pay a
invoice manually with account_statement. So LGTM without knowing the possible
issues of this ...
Author: [hidden] (hobbes)
Date: 2012-01-26.13:44:58
no need to mess with journals, they are already of type cash or statement. So
just reactivated the wizard, it only shows cash journals.
Author: [hidden] (hobbes)
Date: 2012-01-26.13:43:29
http://codereview.tryton.org/231003/
Author: [hidden] (hobbes)
Date: 2012-01-23.14:14:48
working on it
Author: [hidden] (hobbes)
Date: 2012-01-03.23:00:40
discussed here in french:
http://www.tryton.org/~irclog/fr/2012-01-03.log.html

In short: activating the statement module should not completely deactivate the
payment wizard on invoices. 

Of course, mixing statement based and normal entry on an accounting journal is
indeed a bad idea, so the wizard can not be left active as is. But enforcing
full statement entry on all journals is also not such a good idea. The
accounting result is the same in both cases, but the method of entry should be
adapted to each case.

A better way would be to let the wizard active, but somehow only show accounting
cash journals which are not statement treated. The selection could be by
configuration, or by detecting which cash journals have no associed statement
journal.
History
Date User Action Args
2012-03-02 14:47:17cedsetstatus: testing -> resolved
messages: + msg10229
2012-02-24 11:14:43cedsetstatus: chatting -> testing
2012-02-24 11:14:36cedsetnosy: + ced
messages: + msg10134
2012-01-26 15:04:38jansetnosy: + jan
messages: + msg9877
2012-01-26 13:44:58hobbessetmessages: + msg9876
2012-01-26 13:43:29hobbessetmessages: + msg9875
2012-01-23 14:14:48hobbessetstatus: unread -> chatting
assignedto: hobbes
messages: + msg9855
2012-01-03 23:00:40hobbescreate

Showing 10 items. Show all history (warning: this could be VERY long)